Bug 139742

Summary: krdc require version of rdesktop that is unavailable to fedora
Product: [Fedora] Fedora Reporter: Tom DuVally <tduvally>
Component: kdenetworkAssignee: Ngo Than <than>
Status: CLOSED RAWHIDE QA Contact: Ben Levenson <benl>
Severity: medium Docs Contact:
Priority: medium    
Version: 3   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-11-18 10:00:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
rdesktop patch to handle krdc none

Description Tom DuVally 2004-11-17 20:17:35 UTC
Description of problem:
krdc can not connect with RDP b/c fedora is not providing the correct
version of rdesktop.  Patch is available from KDE.

Version-Release number of selected component (if applicable):
KDE 3.3.1
rdesktop 1.3.1

How reproducible:
Always

Steps to Reproduce:
1. Start krdc connection to rdp server
# krdc rdp:/ts1.domain.org
  
Actual results:
Popup: 
-------------
The version of rdesktop you are using (1.3.1) is too old:
rdesktop 1.3.2 or greater is required. A working patch for rdesktop
1.3.1 can be found in KDE CVS.
-------------

Expected results:
Proper connection to terminal server via RDP.

Additional info:
KDE has provided a patch to rdesktop 1.3.1 in their CVS whic is
supposed to fix this issue.  Attaching patch

Comment 1 Tom DuVally 2004-11-17 20:18:31 UTC
Created attachment 106908 [details]
rdesktop patch to handle krdc

Comment 2 Tom DuVally 2004-11-17 20:36:20 UTC
I have built a source and binary rpm with the patch and tested it, and
it works fine for me.

Comment 3 Ngo Than 2004-11-18 10:00:15 UTC
the patch is now added in rdesktop-1.3.1-6. Thanks for your report.